# SetParent

{% code overflow="wrap" lineNumbers="true" fullWidth="true" %}

```csharp
using UnityEngine;

public class RadialMenuExample : MonoBehaviour
{
	// BE SURE TO ASSIGN THIS IN THE INSPECTOR //
	public Transform rightHandTransform;

	void Update ()
	{
		// If the space bar has been pressed...
		if( Input.GetKeyDown( KeyCode.Space ) )
		{
			// Set the parent of the radial menu to the right hand transform assigned in the inspector.
			UltimateRadialMenu.SetParent( "ExampleMenu", rightHandTransform, Vector3.zero, Quaternion.identity );
		}
	}
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tankandhealerstudio.com/assets/ultimateradialmenu/documentation/ultimateradialmenu/static-methods/setparent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
